(function($){
	"use strict";
	$(document).ready(function(){

		/* Scroll to top */
		charihope_scrollUp();
		function charihope_scrollUp(options) {

         var defaults = {
            scrollName: 'scrollUp', 
            topDistance: 600, 
            topSpeed: 800, 
            animation: 'fade', 
            animationInSpeed: 200, 
            animationOutSpeed: 200, 
            scrollText: '<i class="fas fa-angle-up"></i>', 
            scrollImg: false, 
            activeOverlay: false 
         };

         var o = $.extend({}, defaults, options),
         scrollId = '#' + o.scrollName;


         $('<a/>', {
            id: o.scrollName,
            href: '#top',
            title: o.scrollText
         }).appendTo('body');


         if (!o.scrollImg) {

            $(scrollId).html(o.scrollText);
         }


         $(scrollId).css({'display': 'none', 'position': 'fixed', 'z-index': '2147483647'});


         if (o.activeOverlay) {
            $("body").append("<div id='" + o.scrollName + "-active'></div>");
            $(scrollId + "-active").css({'position': 'absolute', 'top': o.topDistance + 'px', 'width': '100%', 'border-top': '1px dotted ' + o.activeOverlay, 'z-index': '2147483647'});
         }


         $(window).scroll(function () {
            switch (o.animation) {
               case "fade":
               $(($(window).scrollTop() > o.topDistance) ? $(scrollId).fadeIn(o.animationInSpeed) : $(scrollId).fadeOut(o.animationOutSpeed));
               break;
               case "slide":
               $(($(window).scrollTop() > o.topDistance) ? $(scrollId).slideDown(o.animationInSpeed) : $(scrollId).slideUp(o.animationOutSpeed));
               break;
               default:
               $(($(window).scrollTop() > o.topDistance) ? $(scrollId).show(0) : $(scrollId).hide(0));
            }
         });


         $(scrollId).on( "click", function (event) {
            $('html, body').animate({scrollTop: 0}, o.topSpeed);
            event.preventDefault();
         });

      }

      /* Fix empty menu in test_uni_data */
      if( $( '.widget_nav_menu ul li' ).length > 0 ){
         $( '.widget_nav_menu ul li a:empty' ).parent().css('display','none');
      }

      /* Select 2 */
      $('select').select2({ 
         width: '100%'
      });


      /* Popup Image - PrettyPhoto */
      if( typeof prettyPhoto !== 'undefined' ){
         if( $("a[data-gal^='prettyPhoto']").length > 0 ){
            $("a[data-gal^='prettyPhoto']").prettyPhoto({hook: 'data-gal', theme: 'facebook',slideshow:5000, autoplay_slideshow:true});
         }
      }


      $( '.ovatheme_header_default li.menu-item button.dropdown-toggle').off('click').on( 'click', function() {
         $(this).parent().toggleClass('active_sub');
      });

      $(".comment-reply-link").siblings('.flaticon-reply').css('display', 'inline-block');

      $(".categories a").siblings('i').css('display', 'inline-block');


      /* Give Donations */
      $('.ova_single_give_form .give_form_info').tabs();

      /* Give Gallery */
      if( $(".ova_single_give_form #gallery a").length > 0 ){
         $(".ova_single_give_form #gallery a").fancybox({});
      }

      /* Archive Give Video */
      if( $(".archive_give_donation .media .video").length > 0 ){
         $(".archive_give_donation .media .video").fancybox({
            iframe : {
               css : {
                  maxWidth : '80%',
               }
            }
         });
      }

      if( $(".ova_single_give_form .ova_media .due_date").length > 0 ){
         var date = $('.due_date').data('date').split(' ');
         var day = date[0].split('-');
         var time = date[1].split(':');
         var date_countdown = new Date( day[0], day[1]-1, day[2], time[0], time[1] );
         $('.ova_single_give_form .ova_media .due_date').countdown({until: date_countdown, format: 'DHMS'});
      }

      $( "input.date" ).each(function(){
         $(this).datepicker();
      });

   });

})(jQuery);