<?php 
$general_css = '';


/* Primary Font */
$default_primary_font = json_decode( charihope_default_primary_font() );
$primary_font = json_decode( get_theme_mod( 'primary_font' ) ) ? json_decode( get_theme_mod( 'primary_font' ) ) : $default_primary_font;
$primary_font_family = $primary_font->font;


/* General Typo */
$general_font_size = get_theme_mod( 'general_font_size', '16px' );
$general_line_height = get_theme_mod( 'general_line_height', '25px' );
$general_letter_space = get_theme_mod( 'general_letter_space', '0px' );
$general_color = get_theme_mod( 'general_color', '#666666' );



/* Primary Color */
$primary_color = get_theme_mod( 'primary_color', '#fa7f4b' );



/* Second Font */
$default_second_font = json_decode( charihope_default_second_font() );
$second_font = json_decode( get_theme_mod( 'second_font' ) ) ? json_decode( get_theme_mod( 'second_font' ) ) : $default_second_font;
$second_font_family = $second_font->font;


$general_css .= <<<CSS

body{
	font-family: {$primary_font_family}, sans-serif;
	font-weight: 400;
	font-size: {$general_font_size};
	line-height: {$general_line_height};
	letter-spacing: {$general_letter_space};
	color: {$general_color};
}
p{
	color: {$general_color};
	line-height: {$general_line_height};
}

h1,h2,h3,h4,h5,h6,.second_font,
.countdown-amount,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-donation-levels-wrap button.give-default-level,
button.give-btn,
.sidebar .widget.recent-posts-widget-with-thumbnails ul li a .rpwwt-post-title,
.ova_single_give_form .give_forms .summary .give_form_info #contact label,
.btn-charihope-default,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-submit,
form[id*=give-form] .give-submit,
.give-btn.give-btn-reveal,
#give-recurring-form .form-row label, form.give-form .form-row label, form[id*=give-form] .form-row label,
.give-payment-mode-label,
#give_checkout_user_info legend,
form[id*=give-form] #give-final-total-wrap .give-donation-total-label,
.comment-navigation .nav_comment_text
{
	font-family: {$second_font_family}, sans-serif;
}


/* blog */
a,
article.post-wrap .post-meta .post-meta-content i,
article.post-wrap .post-title h2.post-title a:hover,
article.post-wrap .post-meta .post-meta-content a:hover,
.sidebar .widget.recent-posts-widget-with-thumbnails ul li .rpwwt-post-date,
.sidebar .widget.recent-posts-widget-with-thumbnails ul li a .rpwwt-post-title:hover,
.sidebar .widget ul li a:hover,
.single-post article.post-wrap .post-meta .post-meta-content .general-meta a:hover,
.single-post article.post-wrap .post-tag-charihope .post-tags-charihope > a:hover,
.single-post article.post-wrap .post-tag-charihope .share_social-charihope ul.share-social-icons li a:hover i,
.content_comments .comments ul.commentlists li.comment .comment_item .comment-details .ova_reply a.comment-reply-link,
.content_comments .comments ul.commentlists li.comment .comment_item .comment-details .ova_reply a.comment-edit-link,
.content_comments .comments ul.commentlists li.comment .comment_item .comment-details .ova_reply i,
.sidebar .widget.widget_rss ul li a.rsswidget:hover,
.blogname,
.event-archive.classic .wp-content .item-even-classic .content .event-title a:hover,
.event-archive.classic .wp-content .item-even-classic .content .event-meta,
.event-archive.classic .wp-content .item-even-classic .content .text-readmore .read-more:hover,
.event-archive .wp-content .archive-event-grid .item-even-grid .content .event-title a:hover,
.event-archive .wp-content .archive-event-grid .item-even-grid .content .event-meta,
.event-archive .wp-content .archive-event-grid .item-even-grid .content .text-readmore .read-more:hover,
.archive_give_donation .summary .wrap_summary .give_detail .detail_body .raised .income span:last-child,
.archive_give_donation .summary .wrap_summary .give_detail .detail_body .raised .goal span:last-child,
.archive_give_donation .summary .wrap_summary .give_detail .detail_body .raised .donor span:last-child,
.charihope-blog .post_items .post_content h4 a:hover,
.archive_give_donation .summary .wrap_summary .give_detail .detail_body .title a:hover,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .media .gallery:hover,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .media .video:hover,
.ova_single_give_form .give_forms .summary .donation .ova_info_donation .donor_percentage .count_donor i,
.ova_single_give_form .give_forms .summary .donation .ova_info_donation .raised .goal span:last-child

{
	color: {$primary_color};
}

.btn-charihope-default,
.pagination-wrapper .blog_pagination .pagination li.active a,
.pagination-wrapper .blog_pagination .pagination li a:hover,
.sidebar .widget.widget_tag_cloud .tagcloud a:hover,
.single-post article.post-wrap .post-media .date,
.content_comments .comments .comment-respond .comment-form .form-submit input#submit,
.archive_give_donation .summary .wrap_summary .give_detail .detail_body .donate_remaining .donate,
.ovaem_pagination .pagination li.active a,
.ovaem_pagination .pagination li a:hover,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_1 .percentage,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_1,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_2,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_2 .percentage,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-currency-symbol,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-donation-levels-wrap button.give-default-level,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-btn-modal,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-btn:hover,
.ova_single_give_form .give_forms .summary .donation .ova_info_donation .progress span,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-submit,
form[id*=give-form] .give-submit,
.give-btn.give-btn-reveal

{
	background-color: {$primary_color};
}

.archive_give_donation .summary .wrap_summary .give_detail .detail_body .donate_remaining .donate,
.sidebar .widget.widget_tag_cloud .tagcloud a:hover,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-donation-levels-wrap button.give-default-level,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-btn-modal,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-btn:hover,
.ova_single_give_form .give_forms .summary .donation .give-form-wrap .give-submit,
form[id*=give-form] .give-submit,
.give-btn.give-btn-reveal

{
	border-color: {$primary_color};
}

/* end blog */


.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_1:after,
.archive_give_donation .summary .wrap_summary .give_detail .image_future .progress .wrap_percentage_2:after
{
	border-top-color: {$primary_color};
}


CSS;



return $general_css;


