<?php

if( !defined( 'ABSPATH' ) ) exit();

$id = get_the_ID();
$ovaem_start_date         = get_post_meta( $id, 'ovaem_start_date', true ) ? get_post_meta( $id, 'ovaem_start_date', true ) : '';
$ovaem_end_date           = get_post_meta( $id, 'ovaem_end_date', true ) ? get_post_meta( $id, 'ovaem_end_date', true ) : '';
$ovaem_address            = get_post_meta( $id, 'ovaem_address', true ) ? get_post_meta( $id, 'ovaem_address', true ) : '';
$ovaem_link_donate        = get_post_meta( $id, 'ovaem_link_donate', true ) ? get_post_meta( $id, 'ovaem_link_donate', true ) : '';
$ovaem_link_donate_target = get_post_meta( $id, 'ovaem_link_donate_target', true ) ? get_post_meta( $id, 'ovaem_link_donate_target', true ) : '';

$lang = OVAEM_Settings::ovaem_admin_format_date_lang();
$date = OVAEM_Settings::ovaem_admin_format_date();
$time = OVAEM_Settings::ovaem_admin_format_time();

if( $ovaem_start_date && $ovaem_end_date ){
	$ovaem_start_date_convert = date( $date .' '. $time, $ovaem_start_date );
	$ovaem_end_date_convert   =  date( $date .' '. $time, $ovaem_end_date );
}else{
	$ovaem_start_date_convert = $ovaem_end_date_convert = '';
}

?>
<div class="ovaem_metabox">
	<br>
	<div class="ovaem_row">
		<label class="label"><strong><?php esc_html_e( 'Date', 'ova-events-manager' ); ?>: </strong></label>
		
		<input type="text" id="ovaem_start_date" class="ovaem_start_date" value="<?php esc_attr_e($ovaem_start_date_convert); ?>" placeholder="Start Time"  name="ovaem_start_date" autocomplete="off" data-date="<?php esc_attr_e( $date .' '. $time ); ?>" data-lang="<?php esc_attr_e( $lang ); ?>" />
		&nbsp;&nbsp;&nbsp;&nbsp;

		<input type="text" id="ovaem_end_date" class="ovaem_end_date" value="<?php esc_attr_e($ovaem_end_date_convert); ?>" placeholder="End Time"  name="ovaem_end_date" autocomplete="off" data-date="<?php esc_attr_e( $date .' '. $time ); ?>" data-lang="<?php esc_attr_e( $lang ); ?>" />
		
	</div>
	<br>

	<div class="ovaem_row">
		<label class="label"><strong><?php esc_html_e( 'Address', 'ova-events-manager' ); ?>: </strong></label>
		<input type="text" id="ovaem_address" class="ovaem_address" value="<?php esc_attr_e($ovaem_address); ?>" placeholder="123 New York"  name="ovaem_address" autocomplete="off" />
	</div>
	<br>

	<div class="ovaem_row">
		<label class="label"><strong><?php esc_html_e( 'Book Now Link:', 'ova-events-manager' ); ?></strong></label>
		<?php
		$target_self = ( '_self' == $ovaem_link_donate_target )? 'selected' : '';
		$target_blank = ( '_blank' == $ovaem_link_donate_target )? 'selected' : '';
		?>
		<input type="text" id="ovaem_link_donate" value="<?php esc_attr_e($ovaem_link_donate); ?>" placeholder="Insert link"  name="ovaem_link_donate" autocomplete="off" />
		&nbsp;&nbsp;&nbsp;&nbsp;
		<select id="ovaem_link_donate_target" name="ovaem_link_donate_target">
			<option <?php echo $target_self ?> value="_self"><?php esc_html_e( 'Self', 'ova-events-manager' ); ?></option>
			<option <?php echo $target_blank ?> value="_blank"><?php esc_html_e( 'Blank', 'ova-events-manager' ); ?></option>
		</select>
	</div>
	<br>

	


</div>

<?php wp_nonce_field( 'ovaem_nonce', 'ovaem_nonce' ); ?>