<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

class OVAEM_templates_loader {

	public function __construct() {
		add_filter( 'template_include', array( $this, 'template_loader' ) );
	}

	public function template_loader( $template ) {

		$post_type       = isset($_REQUEST['post_type'] ) ? $_REQUEST['post_type'] : get_post_type();

		/* Taxonomies */
		if ( is_tax( 'event_cat' ) ||  get_query_var( 'event_cat' ) != '' && $frontend_submit !== 'yes' ) {
			$paged = get_query_var('paged') ? get_query_var('paged') : '1';
			query_posts( '&event_cat='.get_query_var( 'event_cat' ).'&paged=' . $paged );
			ovaem_get_template( 'archive-event.php' );
			return false;
		}

		/* Is Event Post Type */
		if (  $post_type == 'event' ) {

			if ( is_post_type_archive( 'event' )  ) {
				ovaem_get_template( 'archive-event.php' );
				return false;
			} else if ( is_singular('event') ) {
				ovaem_get_template( 'single-event.php' );
				return false;
			}
		}

		if ( $post_type !== 'event' ) {
			return $template;
		}
	}
}

new OVAEM_templates_loader();