<?php
/*
Plugin Name: Ovatheme Events Manager
Plugin URI: https://themeforest.net/user/ovatheme
Description: Ovatheme Events Manager
Author: Ovatheme
Version: 1.0.1
Author URI: https://themeforest.net/user/ovatheme/portfolio
Text Domain: ova-events-manager
*/

if ( !defined( 'ABSPATH' ) ) exit();



if (!class_exists('OVAEM')) {
	
	class OVAEM
	{
		static $_instance = null;

		function __construct()
		{
			$this -> define_constants();
			$this -> includes();
			$this -> supports();
			$this -> rewirte_slug();
		}

		function define_constants(){
			$this->define( 'OVAEM_PLUGIN_FILE', __FILE__ );
			$this->define( 'OVAEM_PLUGIN_URI', plugin_dir_url( __FILE__ ) );
			$this->define( 'OVAEM_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
			load_plugin_textdomain( 'ova-events-manager', false, basename( dirname( __FILE__ ) ) .'/languages' );
		}

		function define( $name, $value ) {
			if ( ! defined( $name ) ) {
				define( $name, $value );
			}
		}

		public static function instance() {
			if ( !empty( self::$_instance ) ) {
				return self::$_instance;
			}
			return self::$_instance = new self();
		}

		function includes() {

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-assets.php' );

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-custom-post-type.php' );

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-get-data.php' );

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-settings.php' );

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-templates-loaders.php' );

			require_once( OVAEM_PLUGIN_PATH.'inc/ovaem-core-functions.php' );

			/* Admin */
			require_once( OVAEM_PLUGIN_PATH.'admin/ovaem-metaboxes.php' );

			if( is_admin() ){
				require_once( OVAEM_PLUGIN_PATH.'admin/ovaem-admin.php' );
			}
		}

		function supports() {

			/* Make Elementors */
			if ( did_action( 'elementor/loaded' ) ) {
				include OVAEM_PLUGIN_PATH.'elementor/ovaev-register-elementor.php';
			}
		}


		public function rewirte_slug(){

			add_filter( 'register_post_type_args', array($this, 'ovaem_change_post_types_slug' ), 10, 2 );

		}

		public function ovaem_change_post_types_slug( $args, $post_type ) {

		   // Event Slug
			$event_slug = 'event';
			$event_rewrite_slug = OVAEM_Settings::ovaem_event_post_type_rewrite_slug();
			if ( $event_slug === $post_type && $event_slug != $event_rewrite_slug && $event_rewrite_slug != '' ) {
				$args['rewrite']['slug'] = $event_rewrite_slug;
			}

			return $args;
		}

	}
}

function OVAEM() {
	return OVAEM::instance();
}

$GLOBALS['OVAEM'] = OVAEM();