<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header( );

$id = get_the_ID();

$user_id = get_current_user_id();

$ovaem_start_date = get_post_meta( $id, 'ovaem_start_date', true ) ? get_post_meta( $id, 'ovaem_start_date', true ) : '';

$ovaem_end_date   = get_post_meta( $id, 'ovaem_end_date', true ) ? get_post_meta( $id, 'ovaem_end_date', true ) : '';

$ovaem_address    = get_post_meta( $id, 'ovaem_address', true ) ? get_post_meta( $id, 'ovaem_address', true ) : '';

$ovaem_gallery    = get_post_meta( $id, 'ovaem_gallery_id', true);

//Social Link && Social Icon

$ovaem_facebook_link  = get_post_meta( $id, 'ovaem_facebook_link', true ) ? get_post_meta( $id, 'ovaem_facebook_link', true ) : '';
$ovaem_instagram_link = get_post_meta( $id, 'ovaem_instagram_link', true ) ? get_post_meta( $id, 'ovaem_instagram_link', true ) : '';
$ovaem_twitter_link   = get_post_meta( $id, 'ovaem_twitter_link', true ) ? get_post_meta( $id, 'ovaem_twitter_link', true ) : '';
$ovaem_youtube_link   = get_post_meta( $id, 'ovaem_youtube_link', true ) ? get_post_meta( $id, 'ovaem_youtube_link', true ) : '';
$ovaem_reddit_link    = get_post_meta( $id, 'ovaem_reddit_link', true ) ? get_post_meta( $id, 'ovaem_reddit_link', true ) : '';

$ovaem_facebook_icon  = get_post_meta( $id, 'ovaem_facebook_icon', true ) ? get_post_meta( $id, 'ovaem_facebook_icon', true ) : '';
$ovaem_instagram_icon = get_post_meta( $id, 'ovaem_instagram_icon', true ) ? get_post_meta( $id, 'ovaem_instagram_icon', true ) : '';
$ovaem_twitter_icon   = get_post_meta( $id, 'ovaem_twitter_icon', true ) ? get_post_meta( $id, 'ovaem_twitter_icon', true ) : '';
$ovaem_youtube_icon   = get_post_meta( $id, 'ovaem_youtube_icon', true ) ? get_post_meta( $id, 'ovaem_youtube_icon', true ) : '';
$ovaem_reddit_icon    = get_post_meta( $id, 'ovaem_reddit_icon', true ) ? get_post_meta( $id, 'ovaem_reddit_icon', true ) : '';

// Link Donate

$ovaem_donate_link        = get_post_meta( $id, 'ovaem_link_donate', true ) ? get_post_meta( $id, 'ovaem_link_donate', true ) : '';
$ovaem_link_donate_target = get_post_meta( $id, 'ovaem_link_donate_target', true ) ? get_post_meta( $id, 'ovaem_link_donate_target', true ) : '';


?>
<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>
	
	<div class="single_event container">
		
		<div class="intro_event">
			<div class="info_left">
				<h3 class="second_font title"><?php the_title(); ?></h3>
				<div class="content"><?php the_content(); ?></div>
				<div class="sign-up">
					<?php if( $ovaem_donate_link  != '' ){ ?>					
						<a href="<?php echo esc_url($ovaem_donate_link);?>" target="<?php echo $ovaem_link_donate_target; ?>" class="second_font btn-link"><?php esc_html_e( 'DONATE NOW', 'ova-events-manager' ); ?></a>
					<?php } ?>
				</div>
			</div>
			<div class="info_right">
				<h3 class="second_font title"><?php esc_html_e( 'Info', 'ova-events-manager' ); ?></h3>
				<ul class="event-detail_info">
					<li>
						<span class="label">
							<i class="zmdi zmdi-folder-outline"></i>
							<span><?php esc_html_e( 'Category:', 'ova-events-manager' ); ?></span>
						</span>
						<span class="info">
							<?php 
							$taxonomy = 'event_cat';
							$terms = get_the_terms( get_the_ID(),$taxonomy );
							if ( $terms && ! is_wp_error($terms) ) :
								$tslugs_arr = array();
								foreach ($terms as $term) {
									$tslugs_arr[] = $term->name;
								}
								$terms_slug_str = join( ",", $tslugs_arr); ?>
								<span><?php echo esc_html($terms_slug_str);?></span>
							<?php endif; ?>
						</span>
					</li>
					<?php if( $ovaem_address != '' ) : ?>
						<li>
							<span class="label">
								<i class="zmdi zmdi-pin"></i>
								<span class="label"><?php esc_html_e( 'Address:', 'ova-events-manager' ); ?></span>
							</span>
							<span class="info"><?php echo esc_html( $ovaem_address );?></span>
						</li>
					<?php endif; ?>
					<?php if( $ovaem_start_date != '' ) : ?>
						<li>
							<span class="label">
								<i class="zmdi zmdi-calendar"></i>
								<span class="label"><?php esc_html_e( 'Start:', 'ova-events-manager' ); ?></span>
							</span>
							<span class="info"><?php echo date_i18n( get_option('date_format').' '.get_option('time_format'), $ovaem_start_date );?></span>
						</li>
					<?php endif; ?>
					<?php if( $ovaem_end_date != '' ) : ?>
						<li>
							<span class="label">
								<i class="zmdi zmdi-calendar"></i>
								<span class="label"><?php esc_html_e( 'End:', 'ova-events-manager' ); ?></span>
							</span>
							<span class="info"><?php echo date_i18n( get_option('date_format').' '.get_option('time_format'), $ovaem_end_date  );?></span>
						</li>
					<?php endif; ?>
				</ul>

				<div class="share_social-charihope">
					<ul class="share-social-icons">						
						<?php if( $ovaem_facebook_link != '' && $ovaem_facebook_icon != '' ) : ?> 
							<li><a href="<?php echo esc_url($ovaem_facebook_link);?>"><i class="<?php echo esc_attr($ovaem_facebook_icon)?>"></i></a></li>
						<?php endif; ?>
						<?php if( $ovaem_instagram_link != '' && $ovaem_instagram_icon != '' ) : ?> 
							<li><a href="<?php echo esc_url($ovaem_instagram_link);?>"><i class="<?php echo esc_attr($ovaem_instagram_icon)?>"></i></a></li>
						<?php endif; ?>
						<?php if( $ovaem_twitter_link != '' && $ovaem_twitter_icon != '' ) : ?> 
							<li><a href="<?php echo esc_url($ovaem_twitter_link);?>"><i class="<?php echo esc_attr($ovaem_twitter_icon)?>"></i></a></li>
						<?php endif;?>
						<?php if( $ovaem_youtube_link != '' && $ovaem_youtube_icon != '' ) : ?> 
							<li><a href="<?php echo esc_url($ovaem_youtube_link);?>"><i class="<?php echo esc_attr($ovaem_youtube_icon)?>"></i></a></li>
						<?php endif;?>
						<?php if( $ovaem_reddit_link != '' && $ovaem_reddit_icon != '' ) : ?> 
							<li><a href="<?php echo esc_url($ovaem_reddit_link);?>"><i class="<?php echo esc_attr($ovaem_reddit_icon)?>"></i></a></li>
						<?php endif;?>
					</ul>
				</div>

			</div>

		</div>

		<?php if( $ovaem_gallery != '' ) : ?>
			<div class="event_gallery">
				<?php 
				foreach ( $ovaem_gallery as $items ) { ?>
					<div class="gallery-items">
						<?php
						$img_url = wp_get_attachment_image_url( $items, 'large' );
						?>
						<a href="<?php echo esc_url($img_url);?>" data-fancybox="gallery" class="gallery-elements"><img src="<?php echo esc_url($img_url);?>" /></a> 
					</div>
				<?php } ?> 				
			</div>
		<?php endif; ?>
	</div>

<?php endwhile; endif; wp_reset_postdata(); ?>

<?php get_footer( );