(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {
		
		
		/* Menu Shrink */
		elementorFrontend.hooks.addAction('frontend/element_ready/ova_menu.default', function(){

			$( '.ova_menu_clasic .ova_openNav' ).on( 'click', function(){
				$( this ).closest('.ova_wrap_nav').find( '.ova_nav' ).removeClass( 'hide' );
				$( this ).closest('.ova_wrap_nav').find( '.ova_nav' ).addClass( 'show' );
				$( '.ova_menu_clasic  .ova_closeCanvas' ).css( 'width', '100%' );

				
				$( 'body' ).css( 'background-color', 'rgba(0,0,0,0.4)' );
				
			});

			$( '.ova_menu_clasic  .ova_closeNav' ).on( 'click', function(){
				$( this ).closest('.ova_wrap_nav').find( '.ova_nav' ).removeClass( 'show' );
				$( this ).closest('.ova_wrap_nav').find( '.ova_nav' ).addClass( 'hide' );
				$( '.ova_closeCanvas' ).css( 'width', '0' );


				
				$( 'body' ).css( 'background-color', 'transparent' );
				
			});

			// Display in mobile
			$( '.ova_menu_clasic li.menu-item button.dropdown-toggle').off('click').on( 'click', function() {
				$(this).parent().toggleClass('active_sub');
			});

			if( $('.ovamenu_shrink').length > 0 ){
				
				$( '<div class="mask_header_shrink" style="position: relative; height: 0;"></div>' ).insertAfter('.ovamenu_shrink');
				
				var header = $('.ovamenu_shrink');
				var header_shrink_height = header.height();
				

				$(window).scroll(function () {

					var scroll = $(this).scrollTop();

					if (scroll >= header_shrink_height+100 ) {
						header.addClass( 'active_fixed' );
						$('.mask_header_shrink').css('height',header_shrink_height);
					} else {
						header.removeClass('active_fixed');
						$('.mask_header_shrink').css('height','0');
					}
				});
			}



		});

		/* Search Popup */
		elementorFrontend.hooks.addAction('frontend/element_ready/ova_search.default', function(){
			$( '.wrap_search_charihope_popup i' ).on( 'click', function(){
				$( this ).closest( '.wrap_search_charihope_popup' ).addClass( 'show' );
			});

			$( '.btn_close' ).on( 'click', function(){
				$( this ).closest( '.wrap_search_charihope_popup' ).removeClass( 'show' );

			});
		});
		/* end Search Popup */

		/* Slide Show */  
		elementorFrontend.hooks.addAction('frontend/element_ready/ova_banner_slideshow.default', function(){

			function fadeInReset(element) {
				$(element).find('*[data-animation]').each(function(){
					var animation = $(this).data( 'animation' );
					$(this).removeClass( 'animated' );
					$(this).removeClass( animation );
					$(this).css({ opacity: 0 });
				});
			}

			function fadeIn(element) {

	        // Sub Title
	        var $title = $(element).find( '.active .elementor-slide-subtitle' )
	        var animation_title = $title.data( 'animation' );
	        var duration_title  = parseInt( $title.data( 'animation_dur' ) );
	        

	        setTimeout(function(){
	        	$title.addClass(animation_title).addClass('animated').css({ opacity: 1 });
	        }, duration_title);


	        /* Title */
	        var $sub_title = $(element).find( '.active .elementor-slide-title' );
	        var animation_sub_title = $sub_title.data( 'animation' );
	        var duration_sub_title  = parseInt( $sub_title.data( 'animation_dur' ) );


	        setTimeout(function(){
	        	$sub_title.addClass(animation_sub_title).addClass('animated').css({ opacity: 1 });
	        }, duration_sub_title);

	        /* Description */
	        var $desc = $(element).find( '.active .elementor-slide-description' );
	        var animation_desc = $desc.data( 'animation' );
	        var duration_desc  = parseInt( $desc.data( 'animation_dur' ) );


	        setTimeout(function(){
	        	$desc.addClass(animation_desc).addClass('animated').css({ opacity: 1 });
	        }, duration_desc);

	        /* Button */
	        var $button = $(element).find( '.active .elementor-slide-button' );
	        var animation_button = $button.data( 'animation' );
	        var duration_button  = parseInt( $button.data( 'animation_dur' ) );

	        setTimeout(function(){
	        	$button.addClass(animation_button).addClass('animated').css({ opacity: 1 });
	        }, duration_button);


	    }

	    $(document).ready(function(){

	    	$('.elementor-slides').each(function(){

	    		var owl = $(this);
	    		var data = owl.data("owl_carousel");

	    		owl.on('initialized.owl.carousel', function(event) {

	    			fadeIn(event.target);

	    		});

	    		owl.owlCarousel(
	    			data
	    			);

	    		owl.on('translate.owl.carousel', function(event){
	    			fadeInReset(event.target);
	    			owl.trigger('stop.owl.autoplay');
	    			owl.trigger('play.owl.autoplay');
	    		});

	    		owl.on('translated.owl.carousel', function(event) {
	    			fadeIn(event.target);
	    			owl.trigger('stop.owl.autoplay');
	    			owl.trigger('play.owl.autoplay');
	    		});

	    	});

	    });

	});
		/* End Slide Show */






		/* map campaign */
		elementorFrontend.hooks.addAction('frontend/element_ready/ova_map_campaign.default', function(){


			if( typeof address_data != 'undefined' ){

				var i = 0;
				var zoom_map = 14;
				var zoom_map, image_marker, image_icon;

				var marker, loc, Clusterer;
				var markers = [];
				var mapIWcontent = '';
				var show_zoom = false;

				if( typeof attr_map != 'undefined' ){
					attr_map = JSON.parse( attr_map );
					zoom_map = attr_map.zoom_map;
					image_marker = attr_map.image_marker;
					image_icon = attr_map.image_icon;
					if (attr_map.show_zoom === 'yes') {
						show_zoom = true;
					}
				}


	   			// Get Data address
	   			var obj_address = JSON.parse( address_data );
	   			var bounds = new google.maps.LatLngBounds();
	   			var mapOptionsFirst = {
	   				zoom: zoom_map,
	   				minZoom: 1,
	   				center: new google.maps.LatLng(parseFloat(obj_address[0]['lat']), parseFloat(obj_address[0]['lng']) ),
	   				// center: new google.maps.LatLng(0, 0),
	   				mapTypeId: google.maps.MapTypeId.ROADMAP,
	   				styles: [
	   				{
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#bababa"
	   					}
	   					]
	   				},
	   				{
	   					"elementType": "labels.icon",
	   					"stylers": [
	   					{
	   						"visibility": "off"
	   					}
	   					]
	   				},
	   				{
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#616161"
	   					}
	   					]
	   				},
	   				{
	   					"elementType": "labels.text.stroke",
	   					"stylers": [
	   					{
	   						"color": "#f5f5f5"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "administrative.land_parcel",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#bdbdbd"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "poi",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#eeeeee"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "poi",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#757575"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "poi.park",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#e5e5e5"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "poi.park",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#9e9e9e"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "road",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#ffffff"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "road.arterial",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#757575"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "road.highway",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#dadada"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "road.highway",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#616161"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "road.local",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#9e9e9e"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "transit.line",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#e5e5e5"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "transit.station",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#eeeeee"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "water",
	   					"elementType": "geometry",
	   					"stylers": [
	   					{
	   						"color": "#f2f2f2"
	   					}
	   					]
	   				},
	   				{
	   					"featureType": "water",
	   					"elementType": "labels.text.fill",
	   					"stylers": [
	   					{
	   						"color": "#9e9e9e"
	   					}
	   					]
	   				}
	   				],
	   				scrollwheel: show_zoom,
	   				
	   			};

	   			var mapObject = new google.maps.Map(document.getElementById('ova-map'), mapOptionsFirst);

	   			google.maps.event.addListener(mapObject, 'domready', function () {

	   			});
	   			google.maps.event.addListener(mapObject, 'click', function () {
	   				closeInfoBox();
	   			});


	   			var contentString =  mapIWcontent ;

	   			var infowindow = new google.maps.InfoWindow({
	   				content: contentString,
	   				maxWidth: 350
	   			});

	   			obj_address.forEach(function (item) {
	   				var iconBase = 'https://maps.google.com/mapfiles/kml/shapes/';
	   				marker = new google.maps.Marker({
	   					position: new google.maps.LatLng(item.lat, item.lng),
	   					icon: image_marker,
	   					map: mapObject
	   				});
	   				loc = new google.maps.LatLng(item.lat, item.lng);
	   				bounds.extend(loc);


	   				if ('undefined' === typeof markers[i]) markers[i] = [];
	   				markers[i].push(marker);
	   				i++;

	   				var map = google.maps.event.addListener(marker, 'click', (function () {
	   					closeInfoBox();
	   					var mapIWcontent = 
	   					'<div class="ova-box">' +
	   					'<div class="wp-content">' +
	   					'<div class="wp-text-funded">' +
	   					'<span class="funded ova-infl">' +
	   					'<span class="number second_font">' + 
	   					item.number_funed +
	   					'</span>' +
	   					'<span class="text">' + 
	   					item.text_funed +
	   					'</span>' +
	   					'</span>' +
	   					'<span class="goal ova-infl">' +
	   					'<span class="number second_font">' + 
	   					item.number_goal +
	   					'</span>' +
	   					'<span class="text">' + 
	   					item.text_goal +
	   					'</span>' +
	   					'</span>' +
	   					'<span class="day ova-infl">' +
	   					'<span class="number second_font">' + 
	   					item.number_day +
	   					'</span>' +
	   					'<span class="text">' + 
	   					item.text_day +
	   					'</span>' +
	   					'</span>' +
	   					'</div>' +
	   					'<div class="wp-address">' +
	   					'<i class="' + item.class_icon_address + '"></i>' + 
	   					'<span class="address">' + item.address + '</span>' +
	   					'</div>' +
	   					'</div>' +
	   					'<div class="ova-media" style="background-image: url(' + item.image.url + ')">' +
	   					'<a href="'+ item.link.url +'" class="second_font text-button">'+ item.text_button +'</a>' +
	   					'</div>' +
	   					'</div>';
	   					var contentString = mapIWcontent;
	   					infowindow.close();
	   					infowindow = new google.maps.InfoWindow({
	   						content: contentString,
	   						title: item.address
	   						, maxWidth: 350
	   						, maxHeight: 500
	   					});

	   					infowindow.close();
	   					infowindow.open(map, this);

	   				}));

	   			});


        		//options
        		var mcOptions = {
        			gridSize: 20,
        			maxZoom: 20,
        			styles: [{
        				height: 53,
        				url:image_icon,
        				width: 52
        			},
        			]};

			    // New markerCluster
			    Clusterer = new MarkerClusterer(mapObject, [], mcOptions);

			    for (var key in markers){
			    	Clusterer.addMarkers(markers[key], true);
			    }

			    function closeInfoBox() {
			    	jQuery('div.infoBox').remove();
			    };


			}
		});
/* map campaign */


elementorFrontend.hooks.addAction('frontend/element_ready/ova_volunteer.default', function(){

	$(".view_volunteer").click(function () {
		$(this).parent(".popup_volunteer").children(".content_popup").addClass("show");
	});
	$(".btn_close").click(function () {
		$(".content_popup").removeClass("show");
	});

});


});

})(jQuery);
